#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		locver	4.0
#-----------------------------------------------------------------------------
Name		:	bctoolbox
Version		:	5.2.73
Release		:	14.8.0.0%{?dist}
Summary		:	Utilities library

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3
URL		:	https://github.com/BelledonneCommunications/bctoolbox

Source0		:	%{name}-%{version}.tar.gz


#-----------------------------------------------------------------------------
BuildRequires	:	bcunit-devel
BuildRequires	:	gcc-c++
BuildRequires	:	mbedtls-devel

#-----------------------------------------------------------------------------
%description
Utilities library used by Belledonne Communications softwares
like belle-sip, mediastreamer2 and liblinphone.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_libdir}/lib%{name}.so.1

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

	
#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/*.hh
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}-tester.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}-tester.pc
%{_datadir}/%{name}/cmake/*.cmake
%{_datadir}/%{name}/cmake/gitversion.h.in

#=============================================================================
%package		tester
Summary		:	Testing binary, library and files for bctoolbox utility library

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		tester
bctoolbox utilities library for software from
Belledonne Communications and others.
 
This package contains the bctoolbox testing
binary and shared library for the testing
component.

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%files			tester
%defattr(-,root,root,-)
%{_bindir}/%{name}_tester
%{_libdir}/lib%{name}-tester.so.1*

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

cmake								\
	-S .							\
	-B _build						\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D ENABLE_POLARSSL=OFF					\
	-D ENABLE_MBEDTLS=ON					\
	-D BUILD_SHARED_LIBS=ON					\
	-D ENABLE_STATIC=OFF					\
	-D ENABLE_STRICT=NO					\
	-D ENABLE_TESTS_COMPONENT=ON				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\
	-C _build						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	-C _build					\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%changelog
